@if (componentData) {
  <div class="two-columns-grid">
    <sqtm-core-label
      [text]="
        'sqtm-core.administration-workspace.system.downloads.logs.label.latest'
          | translate
      "
    >
    </sqtm-core-label>
    <div>
      <a [href]="latestLink" [attr.data-test-link-id]="'latest-log'">
        squash-tm.log
      </a>
    </div>
    @if (hasPreviousLogFiles) {
      <sqtm-core-label
        [text]="
          'sqtm-core.administration-workspace.system.downloads.logs.label.previous'
            | translate
        "
      >
      </sqtm-core-label>
      <div
        class="flex-column"
        [attr.data-test-element-id]="'previous-log-files'"
      >
        @for (file of previousLogFiles; track file) {
          <span>
            <a [href]="getLink(file)" [attr.data-test-link-id]="file">
              {{ file }}
            </a>
          </span>
        }
      </div>
    }
  </div>
}
